## ros-foxy-ublox-msgs 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ublox_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(ublox_serialization REQUIRED)

set(msg_files
  "msg/Ack.msg"
  "msg/AidALM.msg"
  "msg/AidEPH.msg"
  "msg/AidHUI.msg"
  "msg/CfgANT.msg"
  "msg/CfgCFG.msg"
  "msg/CfgDAT.msg"
  "msg/CfgDGNSS.msg"
  "msg/CfgGNSSBlock.msg"
  "msg/CfgGNSS.msg"
  "msg/CfgHNR.msg"
  "msg/CfgINFBlock.msg"
  "msg/CfgINF.msg"
  "msg/CfgMSG.msg"
  "msg/CfgNAV5.msg"
  "msg/CfgNAVX5.msg"
  "msg/CfgNMEA6.msg"
  "msg/CfgNMEA7.msg"
  "msg/CfgNMEA.msg"
  "msg/CfgPRT.msg"
  "msg/CfgRATE.msg"
  "msg/CfgRST.msg"
  "msg/CfgSBAS.msg"
  "msg/CfgTMODE3.msg"
  "msg/CfgUSB.msg"
  "msg/EsfINS.msg"
  "msg/EsfMEAS.msg"
  "msg/EsfRAWBlock.msg"
  "msg/EsfRAW.msg"
  "msg/EsfSTATUS.msg"
  "msg/EsfSTATUSSens.msg"
  "msg/HnrPVT.msg"
  "msg/Inf.msg"
  "msg/MgaGAL.msg"
  "msg/MonGNSS.msg"
  "msg/MonHW6.msg"
  "msg/MonHW.msg"
  "msg/MonVERExtension.msg"
  "msg/MonVER.msg"
  "msg/NavATT.msg"
  "msg/NavCLOCK.msg"
  "msg/NavDGPS.msg"
  "msg/NavDGPSSV.msg"
  "msg/NavDOP.msg"
  "msg/NavPOSECEF.msg"
  "msg/NavPOSLLH.msg"
  "msg/NavPVT7.msg"
  "msg/NavPVT.msg"
  "msg/NavRELPOSNED9.msg"
  "msg/NavRELPOSNED.msg"
  "msg/NavSAT.msg"
  "msg/NavSATSV.msg"
  "msg/NavSBAS.msg"
  "msg/NavSBASSV.msg"
  "msg/NavSOL.msg"
  "msg/NavSTATUS.msg"
  "msg/NavSVINFO.msg"
  "msg/NavSVINFOSV.msg"
  "msg/NavSVIN.msg"
  "msg/NavTIMEGPS.msg"
  "msg/NavTIMEUTC.msg"
  "msg/NavVELECEF.msg"
  "msg/NavVELNED.msg"
  "msg/RxmALM.msg"
  "msg/RxmEPH.msg"
  "msg/RxmRAW.msg"
  "msg/RxmRAWSV.msg"
  "msg/RxmRAWXMeas.msg"
  "msg/RxmRAWX.msg"
  "msg/RxmRTCM.msg"
  "msg/RxmSFRB.msg"
  "msg/RxmSFRBX.msg"
  "msg/RxmSVSI.msg"
  "msg/RxmSVSISV.msg"
  "msg/TimTM2.msg"
  "msg/UpdSOSAck.msg"
  "msg/UpdSOS.msg"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES
    sensor_msgs
    std_msgs
)

include_directories(include)
add_library(${PROJECT_NAME}_lib src/ublox_msgs.cpp)
rosidl_target_interfaces(${PROJECT_NAME}_lib ${PROJECT_NAME} "rosidl_typesupport_cpp")
ament_target_dependencies(${PROJECT_NAME}_lib
  "ublox_serialization"
)

install(TARGETS ${PROJECT_NAME}_lib EXPORT ${PROJECT_NAME}_lib
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME}_lib)
ament_export_targets(${PROJECT_NAME}_lib)
ament_export_dependencies(rosidl_default_runtime sensor_msgs std_msgs ublox_serialization)

ament_package()

=== debian/changelog ===
ros-foxy-ublox-msgs (2.1.0-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 13 Apr 2022 00:00:00 -0000

ros-foxy-ublox-msgs (2.0.0-1focal) focal; urgency=high

  * Fixes to compile on Foxy.
  * Fix heading output to comply with REP-103
  * Fixes pointed out by clang-tidy.
  * Small style fixups.
  * Port ublox_msgs to ROS 2.
  * Start ROS 2 port by COLCON_IGNORE everything.
  * Move serialization into the ublox_serialization module.
  * More rearrangement of header files to make a more sane structure.
  * Move the directory structure around just a bit.
  * Rearrange messages.
  * Remove boost from ublox_msgs.hpp serialization.
  * Remove trailing whitespace in all files.
  * Rename header files to have .hpp extension.
  * Contributors: Chao Qu, Chris Lalancette

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 13 Oct 2020 00:00:00 -0000

ros-foxy-ublox-msgs (1.2.0-1focal) focal; urgency=high

  * Add support for ZED-F9P new RELPOSNED message and provide heading output
    Fix whitespacing...
    Add RELPOSNED9 message to compile
  * Add TIM product and M8U functionality as well as the TIM-TM2 message (#27 <https://github.com/KumarRobotics/ublox/issues/27>)
  * comment cleanup
  * added MonHW message for Firmware 6.
  * fixed incorrect message id
  * Contributors: Evan Flynn, Ferry Schoenmakers, Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ublox-msgs (1.1.2-1focal) focal; urgency=high

  * README and package xml updates
  * added USB Cfg PRT parameters and configuration
  * Added doxygen comments and made minor cleanup changes.
  * Added typedefs, cleaned up formatting, and added doxygen comments. Removed try-catch statements for serializing optional blocks and used the message count to determine the size of the optional block.
  * Added doxygen comments
  * Changed how ACKs are handled. They are now handled through callback functions and are included in the CallbackHandlers.
  * Added UPD messages.
  * Added Cfg NMEA messages for firmware 6 & 7, since the messages are a different length
  * Added the CfgDAT message with custom serialization for get/set (read/write) since the messages are different lengths
  * corrected message comment which had incorrect units
  * Added CfgNMEA message
  * Added constants for NavSAT flags bitmask
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 02 Aug 2017 00:00:00 -0000

ros-foxy-ublox-msgs (1.1.0-1focal) focal; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * changed name of macro for clarity
  * Added Cfg RST message declaration and reset function. For Firmware 8, after reconfiguring the GNSS, a cold restart is initiated.
  * node now configures INF messages
  * added CfgINF message
  * added comment about deprecated setting
  * Added NavPVT7 message since NavPVT message is a different length for firmware version 7. UbloxFirmware7Plus class now uses a template function to update diagnostics from NavPVT messages and to publish fix messages from NavPVT messages.
  * Added NavATT message
  * Added message declarations for newly included messages as well as serialization classes for messages with repeating blocks.
  * Added all ESF messages. Added HNR cfg message and HNR PVT message. Added MGA GAL message.
  * added constants for SBAS reserved and max tracking channels
  * comments cleanup
  * Added additional MON messages. Received INF messages are now printed to the ROS console. Also added constants and comments to serialization and a new macro so 1 message can have multiple class, message ID pairs.
  * Added NavSAT message and moved subscribers for messages deprecated in version 8 to version specific subscribe methods
  * Added Error message for ASIO read read errors and fixed a comment in cfg rate
  * Includes BUG FIX (keep reading). Added Ublox messages (and subscribers or configuration methods + params) for High Precision GNSS devices: CfgDGNSS, NavRELPOSNED, NavSVIN. Also added subscriber & message for RxmRTCM. Changed MonVER processing, it now determines the protocol version, hardware type (e.g. SPG/HPG), and supported GNSS (e.g. Glonass, SBAS). SBAS can now be disabled on SBAS supported devices (previously SBAS settings were ignored if enable_sbas was false to prevent crashes, now it checks the MonVER message before trying to configure SBAS.
  * Added CfgTMODE3 message for High Precision GNSS products
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 17 Jul 2017 00:00:00 -0000

ros-foxy-ublox-msgs (1.0.0-1focal) focal; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Baud rate and in/out protocol mask are now configurable through params and are no longer hard coded.
  * Added constants for RTCM and ACK messages
  * Message comment updates
  * PRT message is now generic. Added constants for SPI, USB, and DDC configurations.
  * Update CfgGNSS message and serialization which now publishes and receives blocks and reads and configures all GNSS settings at once. Updated MonVER message and serialization, MonVER settings are displayed during initialization, including extension chars. Changed various std::cout messages to ROS_INFO and ROS_ERROR messages.
  * updated comments
  * Serialization for RxmSFRBX and RxmRAWX
  * Updated AID, RXM, and NAV messages to ublox 8 protocol. Added RxmSFRBX and RxmRAWX messages. Also did a 2nd pass on CFG messages for ublox 8 update. Need to serialize SFRBX.
  * Fixed build errors with nav msgs and updated remaining cfg messages for firmware 8
  * updated Cfg Nav 5 and X5 messages for firmware version 8
  * comment cleanup for nav pvt msg
  * Added Nav PVT message for protocol 8 and added publisher for ECEF messages in node.
  * Fix value of GPS_TIME_ONLY_FIX constant


=== debian/control ===
Source: ros-foxy-ublox-msgs
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-ublox-serialization, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: http://ros.org/wiki/ublox
Standards-Version: 3.9.2

Package: ros-foxy-ublox-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-ublox-serialization, ros-foxy-ros-workspace
Description: ublox_msgs contains raw messages for u-blox GNSS devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ublox-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
